<?xml version="1.0"?>
<!-- This file is protected by Copyright. Please refer to the COPYRIGHT file
     distributed with this source distribution.

     This file is part of OpenCPI <http://www.opencpi.org>

     OpenCPI is free software: you can redistribute it and/or modify it under
     the terms of the GNU Lesser General Public License as published by the Free
     Software Foundation, either version 3 of the License, or (at your option)
     any later version.

     OpenCPI is distributed in the hope that it will be useful, but WITHOUT ANY
     WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for
     more details.

     You should have received a copy of the GNU Lesser General Public License
     along with this program. If not, see <http://www.gnu.org/licenses/>. -->
<build>
  <configuration id="0">
    <parameter name="max_number_of_taps" value="64"/>
    <parameter name="interpolation_factor" value="8"/>
    <parameter name="rounding_type" value="half_even"/>
  </configuration>
  <configuration id="1">
    <parameter name="max_number_of_taps" value="64"/>
    <parameter name="interpolation_factor" value="16"/>
    <parameter name="rounding_type" value="half_up"/>
  </configuration>
  <configuration id="2">
    <parameter name="max_number_of_taps" value="256"/>
    <parameter name="interpolation_factor" value="32"/>
    <parameter name="rounding_type" value="truncate"/>
  </configuration>
</build>
